################################################################
# SWI-Prolog `R' package
# Author:    Nicos Angelopoulos
################################################################

PACKAGE=R
DOC=rdoc

LIBPL=		R.pl
LIBALL=		$(LIBPL) $(SUPPORT)
EXAMPLES=	r_demo.pl

# after defining local files, start standard Makefile
include ../Makefile.defs

EXDIR=$(PKGEXDIR)/R

all:		
		@echo "Nothing to do for this package"

install:	$(LIBSRCPL)
		mkdir -p $(DESTDIR)$(LIBDIR)
		$(INSTALL_DATA) $(LIBSRCALL) $(DESTDIR)$(PLLIBDIR)
		$(MKINDEX)

ln-install:	$(LIBPL)
		mkdir -p $(DESTDIR)$(LIBDIR)
		for f in $(LIBSRCALL); do \
		    rm -f $(DESTDIR)$(LIBDIR)/$$f; \
		    ln -s $$f $(DESTDIR)$(LIBDIR); \
		done
		$(MKINDEX)

rpm-install:	install

pdf-install:	install-examples
		$(INSTALL_DATA) $(DOC).pdf $(DESTDIR)$(PKGDOC)

html-install:	install-examples
		$(INSTALL_DATA) $(DOC).html $(DESTDIR)$(PKGDOC)

install-examples::
		mkdir -p $(DESTDIR)$(EXDIR)
		(cd $(srcdir)/examples && $(INSTALL_DATA) $(EXAMPLES) $(DESTDIR)$(EXDIR))

uninstall::
		rm -f $(LIBDIR)/R.pl
		$(PL) -f none -g make -t halt

check::
		true

################################################################
# Documentation
################################################################

rdoc.tex:	$(srcdir)/R.pl
		$(PLTOTEX) --out=rdoc $<

################################################################
# Clean
################################################################

clean:
		rm -f *~ *% config.log
		rm -f $(TEX) $(SUBTEX)
		$(srcdir)/../../man/runtex --clean $(DOC)
		rm -rf html

distclean:	clean
		rm -f $(TARGETS) config.cache config.status Makefile
